/*
	z104led.c

	Toggle the LED on the Z104/ZISA boards.
*/

#use "default.h"

#if (BOARD_TYPE!=Z104ISA)
#fatal "This program only runs on the Z104 or ZISA boards."
#endif

main()
{
   unsigned int i;

   while(1)
   {
   	hitwd();
      runwatch();
      for(i = 0; i < 20000; i++);      // delay
      outport(LED, 1);                 // turn on the LED
      for(i = 0; i < 20000; i++);      // delay
      outport(LED, 0);                 // turn off the LED
   }
}
